<?php

	$actions_access => array (
		'user_manager_role' => array (
			's10' => true,
			's20' => false,
			's30' => true,
			's40' => true,
			's50' => array('ifnot'=>array('s10','s20','s40')),
			's60' => array('ifnot'=>array('s10','s20','s40')),
			's70' => array('ifnot'=>array('s10','s20','s40')),
		),
		'user_representative_extra_role' => array (
			's10' => array('if'=>array('s40')),
			's20' => false,
			's30' => true,
			's40' => false,
			's50' => array('ifnot'=>array('s10','s20','s40')),
			's60' => array('ifnot'=>array('s10','s20','s40')),
			's70' => array('ifnot'=>array('s10','s20','s40')),
		),
		'user_representative_role' => array (
			'list' => true,
			'index' => true,
				case 'listview':
					return ACLController::checkAccess($this->module_dir,'list', true);
				case 'edit':
					return (ACLController::checkAccess($this->module_dir,'edit', $is_owner) && ($this->status == "s10" || $this->status == "s40"));
				case 'save':
				case 'popupeditview':
				case 'editview':
					return (ACLController::checkAccess($this->module_dir,'edit', $is_owner));
				case 'view':
				case 'detail':
				case 'detailview':
					return ACLController::checkAccess($this->module_dir,'view', $is_owner);
				case 'delete':
					return (ACLController::checkAccess($this->module_dir,'delete', $is_owner) && $this->status == "s10");
				case 'export':
					return ACLController::checkAccess($this->module_dir,'export', $is_owner);
				case 'import':
					return ACLController::checkAccess($this->module_dir,'import', true);
				case 'quote_to_sale':
				case 'quote_to_invoice':
					return ($this->status != "s10" && $this->status != "s20" && $this->status != "s40" && $this->status != "s60");
				case 'send_to_confirm':
					return ($this->status == "s10");
				case 'send_email':
					return ($this->status != "s10" && $this->status != "s20" && $this->status != "s40");
				case 'can_commit':
					return false;
				case 'confirming':
					return false;
				case 'auto_commiting':
					return false;
		),
		'admin' => array(
			's10' => true,
			's20' => false,
			's30' => true,
			's40' => true,
			's50' => array('ifnot'=>array('s10','s20','s40')),
			's60' => array('ifnot'=>array('s10','s20','s40')),
			's70' => array('ifnot'=>array('s10','s20','s40')),
		)
	);
	
?>